[LTP] [PATCH 1/1] nfs08.sh: Skip on vfat

Petr Vorel pvorel@suse.cz
Tue May 2 17:13:48 CEST 2023


From: Petr Vorel <petr.vorel@gmail.com>

vfat does not see '2' on various distros:
* openSUSE Tumbleweed 20230427 (kernel 6.2.12-1-default, nfs-utils 2.6.3,
  mkfs.fat 4.2 (2021-01-31))
* Debian 12 bookworm (kernel 6.1.0-6-amd64, nfs-utils 2.6.2, mkfs.fat 4.2
  (2021-01-31))

NOTE: on it fails completely (on all filesystems) on Debian 11 bullseye
(kernel 5.10.0-8-amd64, nfs-utils 1.3.3, mkfs.fat 4.2 (2021-01-31)) -
likely due 1.3.3, thus skip the test completely.

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
Hi all,

testing NFS on all filesystems showed this problem.
Problem on older Debian shows it's likely not related to vfat, but to
something in NFS. Any idea what is wrong?

NOTE: this should be merged before upcoming LTP release.

Kind regards,
Petr


 testcases/network/nfs/nfs_stress/nfs08.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/testcases/network/nfs/nfs_stress/nfs08.sh b/testcases/network/nfs/nfs_stress/nfs08.sh
index 759b4e418..e1c152e2d 100755
--- a/testcases/network/nfs/nfs_stress/nfs08.sh
+++ b/testcases/network/nfs/nfs_stress/nfs08.sh
@@ -8,6 +8,23 @@
 # Based on reproducer from Neil Brown <neilb@suse.de>
 
 TST_TESTFUNC="do_test"
+TST_SKIP_FILESYSTEMS="vfat"
+TST_SETUP="do_setup"
+
+do_setup()
+{
+	local util_version
+
+	nfs_setup
+
+	util_version=$(mount.nfs -V | sed 's/.*nfs-utils \([0-9]\)\..*/\1/')
+	if ! tst_is_int "$util_version"; then
+		tst_brk TBROK "Failed to detect mount.nfs major version"
+	fi
+	if [ "$util_version" -lt 2 ]; then
+		tst_brk TCONF "Testing requires nfs-utils > 1"
+	fi
+}
 
 do_test()
 {
-- 
2.40.0



More information about the ltp mailing list